using System.Collections;
using System.Collections.Generic;

namespace Net.Project.B.Quest
{
    public enum QuestState
    {
        Inactive,
        Active,
        Completed,
        Canceled,
        Failed
    }
    public interface IQuestData
    {
        public int Identity { get; }
        public string Name { get; }
        public string Description { get; }
        public bool IsCompleted { get; }
        public QuestState CurrentState { get; }
    }
    public struct QuestData : IQuestData
    {
        public int Identity { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public bool IsCompleted { get; set; }
        public QuestState CurrentState { get; set; }
    }
}
