using System;
using System.Collections;
using System.Collections.Generic;
using BITKit;
using BITKit.StateMachine;
using Cysharp.Threading.Tasks;

// ReSharper disable InconsistentNaming

namespace Net.Project.B.PDA
{
    public interface IPDAService
    {
        UniTask Navigate(string url);
        UniTask Home();
        UniTask Back();
        void Badge(string packageName);
        public event Action<string,string> OnNavigated;
        public event Func<string, string,UniTask> OnNavigatedAsync; 
        event Action<string> OnNotification; 
        void Notify(string message);
    }
}
