using System;
using System.Collections;
using System.Collections.Generic;
using BITKit.WorldNode;

#if UNITY_5_3_OR_NEWER

using UnityEngine;
using UnityEngine.Serialization;

namespace Net.Project.B.WorldNode
{
    public interface IEvacuateType{}

    [Serializable]
    public struct HelicopterEvacuate:IEvacuateType
    {
        public int time;
    }
    
    [Serializable]
    public class UnityEvacuateNode :IWorldNode
    {
        [SerializeReference, SubclassSelector] private IEvacuateType evacuateType;

        public IEvacuateType EvacuateType => evacuateType;
    }
}
#endif