#if UNITY_5_3_OR_NEWER
using System;
using System.Collections;
using System.Collections.Generic;
using BITKit.WorldNode;
using UnityEngine;

namespace Net.Project.B.WorldNode
{
    [Serializable]
    public class UnitySubwayNode:IWorldNode
    {
        [SerializeField] private Rigidbody subway;
        [SerializeField] private float speed;
        [SerializeField] private Transform spline;
        [SerializeField] private Vector3 offset;
        [SerializeField] private Transform frontWheel;
        [SerializeField] private Transform backWheel;

        public Rigidbody Subway => subway;
        public float Speed => speed;
        public Transform Spline => spline;
        public Vector3 Offset => offset;
        public Transform FrontWheel => frontWheel;
        public Transform BackWheel => backWheel;
    }
}
#endif